#!/bin/bash
# usage example: bash path_init.sh /xxxxtest/lib/python3.8/site-packages/dist_executor/xxx
# This shell script will change /usr/bin/python3.8 link target to the python3.8 which installed dist_executor.
# This shell script should in directory */mindpandas/de/custom

# match lib/python3.8 , to /xxxxxx/bin/python3.8
path_left=${1%/lib/python3.8*}
python38_path=$path_left"/bin/python3.8"
echo "python3.8 path is: "$python38_path
PY_VERSION=`python -V 2>&1 | awk '{print$2}'|awk -F '.' '{print $1"."$2 }'`

if [ "$PY_VERSION" != "3.8" ];then
  echo "please use python3.8" && exit 1
fi
echo "build python3.8 symbolic links in /usr/bin"

SCRIPT_FILE=$(readlink -f $0)
CUSTOM_DIR=$(dirname $SCRIPT_FILE)
MODULES_DIR=$(dirname $CUSTOM_DIR )
echo $MODULES_DIR
yamlList=$(find $MODULES_DIR -path "*/service.yaml")
echo "service.yaml path list:"
echo $yamlList
for yamlPath in ${yamlList[@]}
do
    yamlDir=${yamlPath%%"/service.yaml"}
    subDirs=$(ls -d $yamlDir/*/  2> /dev/null )
    for subDir in ${subDirs[@]}
    do
        if ls ${subDir}*.py >/dev/null 2>&1; then
            echo "CodePath is: "$subDir
            realCodePath=$subDir
            cp ${MODULES_DIR}/resource/local-repo/sdk/yrlib/python3.8/yrlib_handler.py $realCodePath
            codePathDoubleSlash=${realCodePath//"/"/"\\/"}
            sed -i 's/codePath:.*/codePath: '"$codePathDoubleSlash"'/g' $yamlPath
            break
        fi
    done
done
echo "service.yaml codePath replaced"